@import "null.scss";

@mixin font($font_name, $file_name, $weight, $style) {
    @font-face {
      font-family: $font_name;
      font-display: swap;
      src: url("../fonts/#{$file_name}.woff") format("woff"),
        url("../fonts/#{$file_name}.woff2") format("woff2");
      font-weight: #{$weight};
      font-style: #{$style};
    }
  }


@import "fonts";


//ПЕРЕМЕННЫЕ
$minWidth: 320px;
$maxWidth: 1920;
$maxWidthContainer: 1600;
$md1: $maxWidthContainer + 12;
$md2: 991.98;
$md3: 767.98;
$md4: 497.98;//брейк поинты
$md5: 347.98;
//ПЕРЕМЕННЫЕ


//ОБОЛОЧКА
.wrapper {
    width: 100%;
    min-height: 100vh;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    &._loaded{

    }
}
//ОБОЛОЧКА

//ОСНОВНАЯ СЕТКА
._container {
    max-width: $maxWidthContainer + px;
    margin: 0 auto;
    @media (max-width: $md1 + 10px) {
        max-width: 1200px;
        padding: 0 10px;
    }
    @media (max-width: $md2 + px) {
        max-width: 750px;
        padding: 0 10px;
    }
    @media (max-width: $md3 + px) {
        max-width: none;
        padding: 0 10px;
    }
  //   @media (max-width: $md4 + px) {
  //     max-width: 290;
  //     padding: 0 10px;
  // }
}
//ОСНОВНАЯ СЕТКА


//IMAGES
._ib {
  width: 100%;
  height: 100%;
    object-fit: cover;
    //object-position: center;
    position: absolute;
    top:0;
    left: 0;
}
._ibg{

  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  position: relative;
  }
  
  ._ibg img{
  
  width: 0;
  height: 0;
  position: absolute;
  top: 0;
  left: 0;
  opacity: 0;
  visibility: hidden;
  }




body._lock {
  overflow: hidden;
}

@import "form";
@import "ui";
@import "header";
@import "slider-section";
@import "catalog-section_main";
@import "hot_product-section";
@import "about-section";
@import "choice-section";
@import "feedback-section";
@import "inst-section";

@import "test1";
@import "catalog";
@import "card-page";

@import "footer";






